function [Chosen_f, Chosen_Sf] = MACSI2spectrum(k, j, Hs, Tp, f, Sf)
%% Defining constants
Intervals = 39;
Chosen_f = zeros(1,Intervals);
Chosen_Sf = zeros(1,Intervals);
Chosen_omega = zeros(1,Intervals);
Chosen_Somega = zeros(1,Intervals);

%% Find Macsi2 spectrum input
%Interval length
[I,J] = find(Sf > 0.05);
delta = floor((J(1,length(J))-J(1,1))/Intervals);

%Extract chosen frequencies and spectrum values
for i = 1:Intervals
    Chosen_f(1,i) = f(1,J(1,1+(i-1)*delta));
    Chosen_Sf(1,i) = Sf(1,J(1,1+(i-1)*delta));
end

%Find delta f and omega for the extracted MACSI2 spectrum input values 
Chosen_delta_f = (Chosen_f(1,2)-Chosen_f(1,1));
Chosen_delta_omega = (Chosen_delta_f*2*pi);
for i = 1:Intervals
    Chosen_omega(1,i) = Chosen_f(1,1)*2*pi+(i-1)*Chosen_delta_omega;
    Chosen_Somega(1,i) = Chosen_Sf(1,i)/(2*pi);
end

%% Wright chosen values to Macsi2 input text file
if Tp(1,j) < 10
   fid = fopen(sprintf('HsTp%d0%d',10*Hs(1,k),Tp(1,j)),'w');
else
   fid = fopen(sprintf('HsTp%d%d',10*Hs(1,k),Tp(1,j)),'w');
end
fprintf(fid, 'Torsethaugen spectrum with Hs = %0.1f and Tp = %0.1d\n', Hs(1,k), Tp(1,j));
fprintf(fid, '%d     %f\n', Intervals, Chosen_delta_omega);
for i = 1:Intervals
    fprintf(fid, '%f     %f\n', Chosen_omega(1,i), Chosen_Somega(1,i))  ;  
end
fclose(fid);
end