clear all

g = 9.81; 

%Choose deployment method and wave spectrum
Deploy = input('By Crane or Moonpool? Crane = 1, Moonpool = 2: ');
Seastate = input('Use JONSWAP or Torsethaugen? JONSWAP = 1, Torsethaugen = 2: ');

%Sea states analyzed
if Deploy == 2
    Hs = [2 2.5 3 3.5 4 4.5];  
    Tp = [9 11 13 15 17];  
    if Seastate == 2       
        headings = [0 30];
        [Tz, fidS] = Torsethaugen(Deploy, Hs, Tp, g);
    else
        headings = [0 30 60 90 120 150 180];  
        [Tz, fidS] = JONSWAP(Deploy, Hs, Tp, g);
    end
else
    Hs = [2 2.5 3 3.5 4 4.5 5.0 5.5];  
    Tp = [7 9 11 13 15 17]; 
    if Seastate == 2  
        headings = [0 30 60 90 120 150 180];
        [Tz, fidS] = Torsethaugen(Deploy, Hs, Tp, g);
    else
        headings = [0 30 60 90 120 150 180];
        [Tz, fidS] = JONSWAP(Deploy, Hs, Tp, g);
    end
end  

%Read MACSI2 output and perform calculations
[Static_weight, Tz_calc, MinWiretension, Vw, F_slam, Cranevel_max, Cranemotion] = Sea_states(Hs, Tp, g, Deploy, Seastate, headings, fidS);

%Plot results
Plot_results(Seastate, Deploy, Hs, Tp, headings, Static_weight, MinWiretension, F_slam, Vw, Cranevel_max);


