function Plot_results(Seastate, Deploy, Hs, Tp, headings, Static_weight, MinWiretension, F_slam, Vw, Cranevel_max)
%% Compute the slack sling limit
for i = 1:length(Hs)
    limit(1,i) = 0.1*Static_weight;
end

%% Matrixed with Hs values analysed and wire tension when slamming is considered. Both to be used during plotting
Hsmatrix = zeros(size(Tp,2), size(Hs,2), size(headings,2));
hsmatrix = zeros(size(Tp,2)+1, size(Hs,2), size(headings,2));
Slammingforce = zeros(size(Tp,2), size(Hs,2), size(headings,2));
for j = 1:length(headings)
    for i = 1:length(Tp)
        Hsmatrix(i,:,j) = Hs;
    end
    for i = 1:length(Tp)+1
        hsmatrix(i,:,j) = Hs;
    end
    Slammingforce(:,:,j) = Static_weight-F_slam(2:size(F_slam,1),2:size(F_slam,2),j);
end

%% Plots 
for i = 1:length(headings)
    %Minimum wire tension when slamming at time instance 1
    figure(i*4-3)
    if Deploy == 2
        slammingforce = zeros(size(Slammingforce,1)+1, size(Slammingforce,2), i);
        slammingforce(1,1:size(Slammingforce,2),i) = limit;
        slammingforce(2:size(Slammingforce,1)+1,1:size(Slammingforce,2),i) = Slammingforce(:,:,i);
        plot(hsmatrix(:,:,i)', slammingforce(:,:,i)', '*-')
        hold on
        plot(hsmatrix(:,:,i)', limit, 'k-')
        legend('', 'Tp 9', 'Tp 11', 'Tp 13', 'Tp 15', 'Tp 17', 'Limit', 'Location', 'EastOutside')
    else
        plot(Hsmatrix(:,:,i)', Slammingforce(:,:,i)', '*-')
        hold on
        plot(Hsmatrix(:,:,i)', limit, 'k-')
        legend('Tp 7', 'Tp 9', 'Tp 11', 'Tp 13', 'Tp 15', 'Tp 17', 'Limit', 'Location', 'EastOutside')
    end
    axis([2.0 5.5 -3000 2500])
    xlabel('Hs [m]')
    ylabel('Minimum Wire Tension, Slamming Considered [kN]')
    if Seastate == 2;
        title(sprintf('Torsethaugen Wave Spectrum, Wave Heading %d', headings(1,i)))
    else
        title(sprintf('JONSWAP Wave Spectrum, Wave Heading %d', headings(1,i)))    
    end
    grid on
    
    %Minimum wire tension at time instance 2
    figure(i*4-2)
    if Deploy == 2
        MinWiretension(1,2:size(MinWiretension,2),i) = limit;
        plot(hsmatrix(:,:,i)', MinWiretension(1:size(MinWiretension,1),2:size(MinWiretension,2),i)', '*-')
        hold on
        plot(hsmatrix(:,:,i)', limit, 'k-')
        legend('', 'Tp 9', 'Tp 11', 'Tp 13', 'Tp 15', 'Tp 17', 'Limit', 'Location', 'EastOutside')
    else
        plot(Hsmatrix(:,:,i)', MinWiretension(2:size(MinWiretension,1),2:size(MinWiretension,2),i)', '*-')
        hold on
        plot(Hsmatrix(:,:,i)', limit, 'k-')
        legend('Tp 7', 'Tp 9', 'Tp 11', 'Tp 13', 'Tp 15', 'Tp 17', 'Limit', 'Location', 'EastOutside')
    end
    axis([2.0 5.5 -3000 2500])
    xlabel('Hs [m]')
    ylabel('Minimum Wire Tension [kN]')
    if Seastate == 2
        title(sprintf('Torsethaugen Wave Spectrum, Wave Heading %d', headings(1,i)))
    else
        title(sprintf('JONSWAP Wave Spectrum, Wave Heading %d', headings(1,i)))    
    end
    grid on
    
    %Vertical water particle velocity
    figure(i*4-1)
    if Deploy == 2
        Vw(1,:,i) = zeros(1,size(Vw,2));
        plot(hsmatrix(:,:,i)', Vw(1:size(Vw,1),2:size(Vw,2),i)', '*-')
        legend('','Tp 9', 'Tp 11', 'Tp 13', 'Tp 15', 'Tp 17', 'Location', 'EastOutside')  
    else
        plot(Hsmatrix(:,:,i)', Vw(2:size(Vw,1),2:size(Vw,2),i)', '*-')
        legend('Tp 7', 'Tp 9', 'Tp 11', 'Tp 13', 'Tp 15', 'Tp 17', 'Location', 'EastOutside')
    end
    axis([2.0 5.5 0 5.5])
    xlabel('Hs [m]')
    ylabel('Water Particle Velocity [m/s]')
    if Seastate == 2
        title(sprintf('Torsethaugen Wave Spectrum, Wave Heading %d', headings(1,i)))
    else
        title(sprintf('JONSWAP Wave Spectrum, Wave Heading %d', headings(1,i)))    
    end
    grid on

    %Vertical crane tip/main sheave in MHT velocity
    figure(i*4)
    if Deploy == 2
        Cranevel_max(1,2:size(Cranevel_max,2),i) = limit;
        plot(hsmatrix(:,:,i)', Cranevel_max(1:size(Cranevel_max,1),2:size(Cranevel_max,2),i)', '*-')
        hold on
        plot(hsmatrix(:,:,i)', limit, 'k-')
        legend('', 'Tp 9', 'Tp 11', 'Tp 13', 'Tp 15', 'Tp 17', 'Limit', 'Location', 'EastOutside')
    else
        plot(Hsmatrix(:,:,i)', Cranevel_max(2:size(Cranevel_max,1),2:size(Cranevel_max,2),i)', '*-')
        hold on
        plot(Hsmatrix(:,:,i)', limit, 'k-')
        legend('Tp 7', 'Tp 9', 'Tp 11', 'Tp 13', 'Tp 15', 'Tp 17', 'Limit', 'Location', 'EastOutside')
    end
    axis([2.0 5.5 0 5.5])
    xlabel('Hs [m]')
    ylabel('Crane Tip Vertical Velocity [m/s]')
    if Seastate == 2
        title(sprintf('Torsethaugen Wave Spectrum, Wave Heading %d', headings(1,i)))
    else
        title(sprintf('JONSWAP Wave Spectrum, Wave heading %d', headings(1,i)))    
    end
    grid on

end

end