function [Tz_calc, MinWiretension, Cranemotion, Cranevel_max] = readinfo_TH(headings, Hs, Tp, Deploy, Tz_calc, MinWiretension, MaxWiretension, Cranemotion, Cranevel_max, Craneaccel_max, fidS)
%% Open folders where MACSI2 output files are stored
if Deploy == 2
    deploy = 'Moonpool';
else
    deploy = 'Crane';
end

for k = 1:size(headings,2)
    for l = 1:size(Hs,2)
        for i = 1:size(Tp,2)
            if i+(l-1)*length(Tp) < 10      
                fid1 = fopen(sprintf('C:\\Users\\Ingvild\\Documents\\Skole\\Masters thesis\\Matlab\\%d\\%s\\Torsethaugen\\IR-TXT0%d.out', headings(1,k), deploy, i+(l-1)*length(Tp)),'r');
            else
                fid1 = fopen(sprintf('C:\\Users\\Ingvild\\Documents\\Skole\\Masters thesis\\Matlab\\%d\\%s\\Torsethaugen\\IR-TXT%d.out', headings(1,k), deploy, i+(l-1)*length(Tp)),'r');  
            end
            %Extract parameters
            tz = textscan(fid1, '%*s %*s %*s %*s %*s %f',1, 'HeaderLines', 47); 
            tz = tz{1,1};
            static = textscan(fid1, '%*s %*s %*s %*s %*s %*s %f', 1, 'HeaderLines', 28);
            static = -static{1,1}/1000;
            min_wire_history = textscan(fid1, '%*s %*s %*s %*s %*s %*s %*s %f', 1, 'HeaderLines', 36);
            min_wire_history = min_wire_history{1,1};
            max_cranevel = textscan(fid1, '%*s %*s %*s %*s %f',1, 'HeaderLines',3);
            min_cranevel = textscan(fid1, '%*s %*s %*s %*s %f',1, 'HeaderLines',1);
            cranevel(1,1) = max_cranevel{1,1};
            cranevel(1,2) = -min_cranevel{1,1};
            max_craneaccel = textscan(fid1, '%*s %*s %*s %*s %f',1, 'HeaderLines', 3); 
            min_craneaccel = textscan(fid1, '%*s %*s %*s %*s %f',1, 'HeaderLines', 1);
            craneaccel(1,1) = max_craneaccel{1,1};
            craneaccel(1,2) = -min_craneaccel{1,1};
            cranemotion = textscan(fid1, '%*s %*s %*s %*s %*s %*s %f',1, 'HeaderLines',20);
            cranemotion = cranemotion{1,1};
            wire = textscan(fid1, '%*s %*s %*s %f', 1);     
            wire = wire{1,1};         
       
            %Store parameters in matrixes
            Tz_calc(i+1, l+1) = tz;
            if min_wire_history < static-wire
                MinWiretension(i+1, l+1, k) = min_wire_history;    
            else
                MinWiretension(i+1, l+1, k) = static - wire;
            end
            MaxWiretension(i+1, l+1, k) = static + wire;
            Cranemotion(i+1, l+1,k) = cranemotion;
            Cranevel_max(i+1, l+1,k) =  max(cranevel,[],2);
            Craneaccel_max(i+1, l+1,k) = max(craneaccel,[],2);
            fclose(fid1);
        end
    end
end
%Display cranemotion if desirable
Cranemotion;

%% Write MACSI2 computed Tz values to Torsethaugen_Tz
fprintf(fidS, 'Calculated Tz values for the MACSI2 Torsethaugen spectrum\n\n');
fprintf(fidS, 'Hs values are given in the top row, Tp values in the first column\n');
fprintf(fidS, '-----------------------------------------------------------------\n');
if Deploy == 2
    for i = 1:size(Tz_calc,1)
         fprintf(fidS,'%5.2f %5.2f %5.2f %5.2f %5.2f %5.2f %5.2f\n', Tz_calc(i,:));
    end
else
    for i = 1:size(Tz_calc,1)
         fprintf(fidS,'%5.2f %5.2f %5.2f %5.2f %5.2f %5.2f %5.2f %5.2f %5.2f\n', Tz_calc(i,:));
    end
end
fprintf(fidS, '-----------------------------------------------------------------\n');
fclose(fidS);
end

