function [Vw, F_slam] = slamming(headings, Hs, Tp, g, Deploy, Tz_calc, Cranevel_max)
%% Defining parameters
Cs = 5.0;           
rho_w = 1025;
As = 12*6*(1-0.05);   
Vc = 0.5;
d = 0;

Zeta_a = zeros(1,size(Hs,2));
Zeta_a = 0.9.*Hs;
Vw = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
Aw = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
Vs = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
F_slam = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
F_rho = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
F_m = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));
F_hyd = zeros(size(Tp,2)+1, size(Hs,2)+1, size(headings,2));

for i = 1:length(headings)    
    Vw(1,1,i) = headings(1,i);
    Aw(1,1,i) = headings(1,i);
    Vs(1,1,i) = headings(1,i);
    F_slam(1,1,i) = headings(1,i);
    F_rho(1,1,i) = headings(1,i);
    F_m(1,1,i) = headings(1,i);
    F_hyd(1,1,i) = headings(1,i);
    Vw(1,2:size(Vw,2),i) = Hs;
    Aw(1,2:size(Vw,2),i) = Hs;
    Vs(1,2:size(Vw,2),i) = Hs;
    F_slam(1,2:size(Vw,2),i) = Hs;
    F_rho(1,2:size(Vw,2),i) = Hs;
    F_m(1,2:size(Vw,2),i) = Hs;
    F_hyd(1,2:size(Vw,2),i) = Hs;
    Vw(2:size(Vw,1),1,i) = Tp;
    Aw(2:size(Vw,1),1,i) = Tp;
    Vs(2:size(Vw,1),1,i) = Tp;
    F_slam(2:size(Vw,1),1,i) = Tp;
    F_rho(2:size(Vw,1),1,i) = Tp;
    F_m(2:size(Vw,1),1,i) = Tp;
    F_hyd(2:size(Vw,1),1,i) = Tp;
end

%% If moonpool deployment estimate moonpool water particle velocities
if Deploy == 2
    [Vel_mp] = M_velocity(headings, Hs, Tp, g, Tz_calc);
end
%% Compute slamming forces
for k = 1:length(headings)
    for i = 2:(size(Tp,2)+1)
        for j = 2:(size(Hs,2)+1)        
            if Deploy == 2   
                Vw(i,j,k) = Vel_mp(i-1,j-1,k);
            else
                Vw(i,j,k) = Zeta_a(1,j-1)*(2*pi/Tz_calc(i,j))*exp(-4*pi^2*d/(Tz_calc(i,j)^2*g));    
            end        
            Aw(i,j,k) = Zeta_a(1,j-1)*(2*pi/Tz_calc(i,j))^2*exp(-4*pi^2*d/(Tz_calc(i,j)^2*g));
            Vs(i,j,k) = Vc + sqrt(Cranevel_max(i,j,k)^2 + Vw(i,j,k)^2);
            F_slam(i,j,k) = 0.5*rho_w*Cs*As*Vs(i,j,k)^2/1000; %kN       
        end
    end
end
    
end